App\Library\Amazon\Classes\VideoVHS:
    xml_root_name: VideoVHS
    properties:
        aspectRatio:
            expose: true
            access_type: public_method
            serialized_name: AspectRatio
            accessor:
                getter: getAspectRatio
                setter: setAspectRatio
            type: string
        bBFCRating:
            expose: true
            access_type: public_method
            serialized_name: BBFCRating
            accessor:
                getter: getBBFCRating
                setter: setBBFCRating
            type: string
        cNCRating:
            expose: true
            access_type: public_method
            serialized_name: CNCRating
            accessor:
                getter: getCNCRating
                setter: setCNCRating
            type: string
        cBFCRating:
            expose: true
            access_type: public_method
            serialized_name: CBFCRating
            accessor:
                getter: getCBFCRating
                setter: setCBFCRating
            type: string
        fSKRating:
            expose: true
            access_type: public_method
            serialized_name: FSKRating
            accessor:
                getter: getFSKRating
                setter: setFSKRating
            type: string
        mPAARating:
            expose: true
            access_type: public_method
            serialized_name: MPAARating
            accessor:
                getter: getMPAARating
                setter: setMPAARating
            type: string
        italianAgeRating:
            expose: true
            access_type: public_method
            serialized_name: ItalianAgeRating
            accessor:
                getter: getItalianAgeRating
                setter: setItalianAgeRating
            type: string
        iCAARating:
            expose: true
            access_type: public_method
            serialized_name: ICAARating
            accessor:
                getter: getICAARating
                setter: setICAARating
            type: string
        mediaType:
            expose: true
            access_type: public_method
            serialized_name: MediaType
            accessor:
                getter: getMediaType
                setter: setMediaType
            type: string
        numberOfItems:
            expose: true
            access_type: public_method
            serialized_name: NumberOfItems
            accessor:
                getter: getNumberOfItems
                setter: setNumberOfItems
            type: integer
        runTime:
            expose: true
            access_type: public_method
            serialized_name: RunTime
            accessor:
                getter: getRunTime
                setter: setRunTime
            type: integer
        videotapeRecordingSpeed:
            expose: true
            access_type: public_method
            serialized_name: VideotapeRecordingSpeed
            accessor:
                getter: getVideotapeRecordingSpeed
                setter: setVideotapeRecordingSpeed
            type: string
        format:
            expose: true
            access_type: public_method
            serialized_name: Format
            accessor:
                getter: getFormat
                setter: setFormat
            xml_list:
                inline: true
                entry_name: Format
            type: array<string>
        audioEncoding:
            expose: true
            access_type: public_method
            serialized_name: AudioEncoding
            accessor:
                getter: getAudioEncoding
                setter: setAudioEncoding
            xml_list:
                inline: true
                entry_name: AudioEncoding
            type: array<string>
        language:
            expose: true
            access_type: public_method
            serialized_name: Language
            accessor:
                getter: getLanguage
                setter: setLanguage
            xml_list:
                inline: true
                entry_name: Language
            type: array<string>
        subtitleLanguage:
            expose: true
            access_type: public_method
            serialized_name: SubtitleLanguage
            accessor:
                getter: getSubtitleLanguage
                setter: setSubtitleLanguage
            xml_list:
                inline: true
                entry_name: SubtitleLanguage
            type: array<string>
        publicationDate:
            expose: true
            access_type: public_method
            serialized_name: PublicationDate
            accessor:
                getter: getPublicationDate
                setter: setPublicationDate
            type: GoetasWebservices\Xsd\XsdToPhp\XMLSchema\DateTime
        theatricalReleaseDate:
            expose: true
            access_type: public_method
            serialized_name: TheatricalReleaseDate
            accessor:
                getter: getTheatricalReleaseDate
                setter: setTheatricalReleaseDate
            type: GoetasWebservices\Xsd\XsdToPhp\XMLSchema\DateTime
        actor:
            expose: true
            access_type: public_method
            serialized_name: Actor
            accessor:
                getter: getActor
                setter: setActor
            xml_list:
                inline: true
                entry_name: Actor
            type: array<string>
        director:
            expose: true
            access_type: public_method
            serialized_name: Director
            accessor:
                getter: getDirector
                setter: setDirector
            xml_list:
                inline: true
                entry_name: Director
            type: array<string>
        host:
            expose: true
            access_type: public_method
            serialized_name: Host
            accessor:
                getter: getHost
                setter: setHost
            xml_list:
                inline: true
                entry_name: Host
            type: array<string>
        narrator:
            expose: true
            access_type: public_method
            serialized_name: Narrator
            accessor:
                getter: getNarrator
                setter: setNarrator
            xml_list:
                inline: true
                entry_name: Narrator
            type: array<string>
        producer:
            expose: true
            access_type: public_method
            serialized_name: Producer
            accessor:
                getter: getProducer
                setter: setProducer
            xml_list:
                inline: true
                entry_name: Producer
            type: array<string>
        primaryContributor:
            expose: true
            access_type: public_method
            serialized_name: PrimaryContributor
            accessor:
                getter: getPrimaryContributor
                setter: setPrimaryContributor
            xml_list:
                inline: true
                entry_name: PrimaryContributor
            type: array<string>
        subjectKeywords:
            expose: true
            access_type: public_method
            serialized_name: SubjectKeywords
            accessor:
                getter: getSubjectKeywords
                setter: setSubjectKeywords
            xml_list:
                inline: true
                entry_name: SubjectKeywords
            type: array<string>
        isAdultProduct:
            expose: true
            access_type: public_method
            serialized_name: IsAdultProduct
            accessor:
                getter: getIsAdultProduct
                setter: setIsAdultProduct
            type: boolean
        genre:
            expose: true
            access_type: public_method
            serialized_name: Genre
            accessor:
                getter: getGenre
                setter: setGenre
            type: string
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        binding:
            expose: true
            access_type: public_method
            serialized_name: Binding
            accessor:
                getter: getBinding
                setter: setBinding
            type: string
        chromatism:
            expose: true
            access_type: public_method
            serialized_name: Chromatism
            accessor:
                getter: getChromatism
                setter: setChromatism
            type: string
        subtitle:
            expose: true
            access_type: public_method
            serialized_name: Subtitle
            accessor:
                getter: getSubtitle
                setter: setSubtitle
            type: string
        packageTypeName:
            expose: true
            access_type: public_method
            serialized_name: PackageTypeName
            accessor:
                getter: getPackageTypeName
                setter: setPackageTypeName
            type: string
        publisher:
            expose: true
            access_type: public_method
            serialized_name: Publisher
            accessor:
                getter: getPublisher
                setter: setPublisher
            type: string
        mcPrcWxjz:
            expose: true
            access_type: public_method
            serialized_name: McPrcWxjz
            accessor:
                getter: getMcPrcWxjz
                setter: setMcPrcWxjz
            type: string
        publishingCompany:
            expose: true
            access_type: public_method
            serialized_name: PublishingCompany
            accessor:
                getter: getPublishingCompany
                setter: setPublishingCompany
            type: string
        productionCompany:
            expose: true
            access_type: public_method
            serialized_name: ProductionCompany
            accessor:
                getter: getProductionCompany
                setter: setProductionCompany
            type: string
        originalLanguageTitle:
            expose: true
            access_type: public_method
            serialized_name: OriginalLanguageTitle
            accessor:
                getter: getOriginalLanguageTitle
                setter: setOriginalLanguageTitle
            type: string
        dVDStructureSides:
            expose: true
            access_type: public_method
            serialized_name: DVDStructureSides
            accessor:
                getter: getDVDStructureSides
                setter: setDVDStructureSides
            type: integer
        dVDStructureLayers:
            expose: true
            access_type: public_method
            serialized_name: DVDStructureLayers
            accessor:
                getter: getDVDStructureLayers
                setter: setDVDStructureLayers
            type: integer
        languageDubbed:
            expose: true
            access_type: public_method
            serialized_name: LanguageDubbed
            accessor:
                getter: getLanguageDubbed
                setter: setLanguageDubbed
            xml_list:
                inline: true
                entry_name: LanguageDubbed
            type: array<string>
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        batteryAverageLife:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLife
            accessor:
                getter: getBatteryAverageLife
                setter: setBatteryAverageLife
            type: App\Library\Amazon\Classes\BatteryLifeDimensionType
        batteryAverageLifeStandby:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLifeStandby
            accessor:
                getter: getBatteryAverageLifeStandby
                setter: setBatteryAverageLifeStandby
            type: float
        batteryChargeTime:
            expose: true
            access_type: public_method
            serialized_name: BatteryChargeTime
            accessor:
                getter: getBatteryChargeTime
                setter: setBatteryChargeTime
            type: float
        lithiumBatteryEnergyContent:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryEnergyContent
            accessor:
                getter: getLithiumBatteryEnergyContent
                setter: setLithiumBatteryEnergyContent
            type: float
        lithiumBatteryPackaging:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryPackaging
            accessor:
                getter: getLithiumBatteryPackaging
                setter: setLithiumBatteryPackaging
            type: string
        lithiumBatteryVoltage:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryVoltage
            accessor:
                getter: getLithiumBatteryVoltage
                setter: setLithiumBatteryVoltage
            type: float
        lithiumBatteryWeight:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryWeight
            accessor:
                getter: getLithiumBatteryWeight
                setter: setLithiumBatteryWeight
            type: float
        numberOfLithiumIonCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumIonCells
            accessor:
                getter: getNumberOfLithiumIonCells
                setter: setNumberOfLithiumIonCells
            type: integer
        numberOfLithiumMetalCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumMetalCells
            accessor:
                getter: getNumberOfLithiumMetalCells
                setter: setNumberOfLithiumMetalCells
            type: integer
        mfrWarrantyDescriptionLabor:
            expose: true
            access_type: public_method
            serialized_name: MfrWarrantyDescriptionLabor
            accessor:
                getter: getMfrWarrantyDescriptionLabor
                setter: setMfrWarrantyDescriptionLabor
            type: string
        mfrWarrantyDescriptionParts:
            expose: true
            access_type: public_method
            serialized_name: MfrWarrantyDescriptionParts
            accessor:
                getter: getMfrWarrantyDescriptionParts
                setter: setMfrWarrantyDescriptionParts
            type: string
        mfrWarrantyDescriptionType:
            expose: true
            access_type: public_method
            serialized_name: MfrWarrantyDescriptionType
            accessor:
                getter: getMfrWarrantyDescriptionType
                setter: setMfrWarrantyDescriptionType
            type: string
        sellerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: SellerWarrantyDescription
            accessor:
                getter: getSellerWarrantyDescription
                setter: setSellerWarrantyDescription
            type: string
        warnings:
            expose: true
            access_type: public_method
            serialized_name: Warnings
            accessor:
                getter: getWarnings
                setter: setWarnings
            type: string
        studio:
            expose: true
            access_type: public_method
            serialized_name: Studio
            accessor:
                getter: getStudio
                setter: setStudio
            type: string
        sourceCountryCode:
            expose: true
            access_type: public_method
            serialized_name: SourceCountryCode
            accessor:
                getter: getSourceCountryCode
                setter: setSourceCountryCode
            type: string
